NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::ElectrodeBlankBuilder Class Reference

Design electrode blank builder to create an electrode blank for the selected body. More...

Inheritance diagram for NXOpen::Tooling::ElectrodeBlankBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BlankMaterial { BlankMaterialCopper, BlankMaterialGraphite }
 Represents the blank material option. More...
 
enum  BlankShape { BlankShapeBlock, BlankShapeCylinder, BlankShapeUndercut }
 Represents the electrode blank shape option. More...
 
enum  JointObject { JointObjectExtrude, JointObjectOffset, JointObjectNone }
 Represents the transition type between head bodies and the blank. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle of the joint object. More...
 
NXOpen::Assemblies::SelectComponentBlank ()
 Returns the blank to be edited. More...
 
NXOpen::Matrix3x3 BlankMatrix ()
 Returns the blank matrix. More...
 
NXOpen::ExpressionBlendRadius ()
 Returns the default blend radius of blended edges. More...
 
NXOpen::Tooling::CloneObjectCreateCloneObject (int applicationType, int installationMethod, const NXString &partToBeInstalled, const NXString &folderToSaveParts, const NXString &projectName)
 Creates clone object. More...
 
NXOpen::Tooling::CloneObjectCreateCloneObject (int applicationType, int installationMethod, const char *partToBeInstalled, const char *folderToSaveParts, const char *projectName)
 Creates clone object. More...
 
double CrossLinesRatio ()
 Returns the ratio of cross center lines. More...
 
NXOpen::ExpressionExtensionHeight ()
 Returns the default extension height between head bodies and the blank. More...
 
NXOpen::SelectBodyListHeadBodies ()
 Returns the head bodies to be used to create a blank. More...
 
NXOpen::SelectFaceJointFace ()
 Returns the face to create a joint object between the blank and head bodies. More...
 
NXOpen::Tooling::ElectrodeBlankBuilder::JointObject JointMethod ()
 Returns the joint object type. More...
 
bool KeepSize ()
 Returns the option to keep size of the blank or not. More...
 
bool KeepZValueInSameMSet ()
 Returns the option to specify whether to keep the Z values of all blanks in the current machine set CSYS. More...
 
NXOpen::Tooling::ElectrodeBlankBuilder::BlankMaterial Material ()
 Returns the material of the blank. More...
 
NXOpen::TaggedObjectMsetPart ()
 Returns the current machine set under which a blank is added. More...
 
NXOpen::TaggedObjectMultiPositionBuilder ()
 Returns the multi position builder. More...
 
NXOpen::Point3d ReferenceCenter ()
 Returns the blank reference point. More...
 
double ReferencePointPrecision ()
 Returns the precision of the reference coordinates in the machine set csys. More...
 
bool Rename ()
 Returns the option to use the part name management dialog box or not. More...
 
NXOpen::TaggedObjectReusablePartBuilder ()
 Returns the reusable part builder. More...
 
NXOpen::ExpressionRotationAngle ()
 Returns the rotation angle of blank. More...
 
bool RoundCrossLinesPosition ()
 Returns the option to round the position of cross lines or not. More...
 
void SetBlankMatrix (const NXOpen::Matrix3x3 &matrix)
 Sets the blank matrix. More...
 
void SetCrossLinesRatio (double ratio)
 Sets the ratio of cross center lines. More...
 
void SetJointMethod (NXOpen::Tooling::ElectrodeBlankBuilder::JointObject jointMethod)
 Sets the joint object type. More...
 
void SetKeepSize (bool keepSize)
 Sets the option to keep size of the blank or not. More...
 
void SetKeepZValueInSameMSet (bool keepValue)
 Sets the option to specify whether to keep the Z values of all blanks in the current machine set CSYS. More...
 
void SetMaterial (NXOpen::Tooling::ElectrodeBlankBuilder::BlankMaterial material)
 Sets the material of the blank. More...
 
void SetMsetPart (NXOpen::TaggedObject *mset)
 Sets the current machine set under which a blank is added. More...
 
void SetMultiPositionBuilder (NXOpen::TaggedObject *builderTag)
 Sets the multi position builder. More...
 
void SetReferenceCenter (const NXOpen::Point3d &point)
 Sets the blank reference point. More...
 
void SetReferencePointPrecision (double precision)
 Sets the precision of the reference coordinates in the machine set csys. More...
 
void SetRename (bool rename)
 Sets the option to use the part name management dialog box or not. More...
 
void SetReusablePartBuilder (NXOpen::TaggedObject *builderTag)
 Sets the reusable part builder. More...
 
void SetRoundCrossLinesPosition (bool round)
 Sets the option to round the position of cross lines or not. More...
 
void SetShape (NXOpen::Tooling::ElectrodeBlankBuilder::BlankShape shape)
 Sets the shape of the blank. More...
 
void SetUniteBodies (bool unite)
 Sets the option to unite head bodies, the extension and the blank or not. More...
 
NXOpen::Tooling::ElectrodeBlankBuilder::BlankShape Shape ()
 Returns the shape of the blank. More...
 
bool UniteBodies ()
 Returns the option to unite head bodies, the extension and the blank or not. More...
 
void UpdateBlankData (const NXString &registerPath, const NXString &dataPath, const NXString &modelPath, const NXString &bitmapPath, const NXString &material, std::vector< NXString > &paraNames, std::vector< NXString > &paraValues)
 Update the data of the blank. More...
 
void UpdateBlankData (const char *registerPath, const char *dataPath, const char *modelPath, const char *bitmapPath, const char *material, std::vector< NXString > &paraNames, std::vector< NXString > &paraValues)
 Update the data of the blank. More...
 
void UpdateDisplayName (const NXString &displayName)
 Update display name of the blank. More...
 
void UpdateDisplayName (const char *displayName)
 Update display name of the blank. More...
 
NXOpen::ExpressionXRefValue ()
 Returns the X value of the blank origin in the current machine set coordinator. More...
 
NXOpen::ExpressionYRefValue ()
 Returns the Y value of the blank origin in the current machine set coordinator. More...
 
NXOpen::ExpressionZRefValue ()
 Returns the Z value of the blank origin in the current machine set coordinator. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Design electrode blank builder to create an electrode blank for the selected body.


To create a new instance of this class, use NXOpen::Tooling::ElectrodeDesignCollection::CreateBlankBuilder
Default values.

Property Value

Angle.Value

0

BlendRadius.Value

0 (millimeters part), 0 (inches part)

ExtensionHeight.Value

5 (millimeters part), 0.2 (inches part)

JointMethod

Extrude

KeepSize

0

KeepZValueInSameMSet

0

Material

Copper

ReferencePointPrecision

1

Rename

0

RotationAngle.Value

0

RoundCrossLinesPosition

0

Shape

Block

UniteBodies

1

XRefValue.Value

0 (millimeters part), 0 (inches part)

YRefValue.Value

0 (millimeters part), 0 (inches part)

ZRefValue.Value

0 (millimeters part), 0 (inches part)


Created in NX8.0.0.

Member Enumeration Documentation

Represents the blank material option.

Enumerator
BlankMaterialCopper 

the material of the blank is copper

BlankMaterialGraphite 

the material of the blank is graphite

Represents the electrode blank shape option.

Enumerator
BlankShapeBlock 

the shape of the blank is block

BlankShapeCylinder 

the shape of the blank is cylinder

BlankShapeUndercut 

the shape of the blank is block to spark undercut area

Represents the transition type between head bodies and the blank.

Enumerator
JointObjectExtrude 

extrude body from joint face to blank

JointObjectOffset 

create offset feature from joint face to blank

JointObjectNone 

nothing to do

Member Function Documentation

NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::Angle ( )

Returns the angle of the joint object.


Created in NX8.0.0.

License requirements : None

NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::ElectrodeBlankBuilder::Blank ( )

Returns the blank to be edited.


Created in NX8.0.0.

License requirements : None

NXOpen::Matrix3x3 NXOpen::Tooling::ElectrodeBlankBuilder::BlankMatrix ( )

Returns the blank matrix.


Created in NX8.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::BlendRadius ( )

Returns the default blend radius of blended edges.


Created in NX9.0.0.

License requirements : None

NXOpen::Tooling::CloneObject* NXOpen::Tooling::ElectrodeBlankBuilder::CreateCloneObject ( int  applicationType,
int  installationMethod,
const NXString partToBeInstalled,
const NXString folderToSaveParts,
const NXString projectName 
)

Creates clone object.

Returns

Created in NX12.0.0.

License requirements : None
Parameters
applicationTypeapplicationtype
installationMethodinstallationmethod
partToBeInstalledparttobeinstalled
folderToSavePartsfoldertosaveparts
projectNameprojectname
NXOpen::Tooling::CloneObject* NXOpen::Tooling::ElectrodeBlankBuilder::CreateCloneObject ( int  applicationType,
int  installationMethod,
const char *  partToBeInstalled,
const char *  folderToSaveParts,
const char *  projectName 
)

Creates clone object.

Returns

Created in NX12.0.0.

License requirements : None
Parameters
applicationTypeapplicationtype
installationMethodinstallationmethod
partToBeInstalledparttobeinstalled
folderToSavePartsfoldertosaveparts
projectNameprojectname
double NXOpen::Tooling::ElectrodeBlankBuilder::CrossLinesRatio ( )

Returns the ratio of cross center lines.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::ExtensionHeight ( )

Returns the default extension height between head bodies and the blank.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectBodyList* NXOpen::Tooling::ElectrodeBlankBuilder::HeadBodies ( )

Returns the head bodies to be used to create a blank.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectFace* NXOpen::Tooling::ElectrodeBlankBuilder::JointFace ( )

Returns the face to create a joint object between the blank and head bodies.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::ElectrodeBlankBuilder::JointObject NXOpen::Tooling::ElectrodeBlankBuilder::JointMethod ( )

Returns the joint object type.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::ElectrodeBlankBuilder::KeepSize ( )

Returns the option to keep size of the blank or not.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::ElectrodeBlankBuilder::KeepZValueInSameMSet ( )

Returns the option to specify whether to keep the Z values of all blanks in the current machine set CSYS.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::ElectrodeBlankBuilder::BlankMaterial NXOpen::Tooling::ElectrodeBlankBuilder::Material ( )

Returns the material of the blank.


Created in NX8.0.0.

License requirements : None

NXOpen::TaggedObject* NXOpen::Tooling::ElectrodeBlankBuilder::MsetPart ( )

Returns the current machine set under which a blank is added.


Created in NX8.0.0.

License requirements : None

NXOpen::TaggedObject* NXOpen::Tooling::ElectrodeBlankBuilder::MultiPositionBuilder ( )

Returns the multi position builder.


Created in NX8.5.0.

License requirements : None

NXOpen::Point3d NXOpen::Tooling::ElectrodeBlankBuilder::ReferenceCenter ( )

Returns the blank reference point.


Created in NX8.5.0.

License requirements : None

double NXOpen::Tooling::ElectrodeBlankBuilder::ReferencePointPrecision ( )

Returns the precision of the reference coordinates in the machine set csys.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::ElectrodeBlankBuilder::Rename ( )

Returns the option to use the part name management dialog box or not.


Created in NX8.0.0.

License requirements : None

NXOpen::TaggedObject* NXOpen::Tooling::ElectrodeBlankBuilder::ReusablePartBuilder ( )

Returns the reusable part builder.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::RotationAngle ( )

Returns the rotation angle of blank.


Created in NX8.5.0.

License requirements : None

bool NXOpen::Tooling::ElectrodeBlankBuilder::RoundCrossLinesPosition ( )

Returns the option to round the position of cross lines or not.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::ElectrodeBlankBuilder::SetBlankMatrix ( const NXOpen::Matrix3x3 matrix)

Sets the blank matrix.


Created in NX8.5.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
matrixblank matrix
void NXOpen::Tooling::ElectrodeBlankBuilder::SetCrossLinesRatio ( double  ratio)

Sets the ratio of cross center lines.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
ratioratio
void NXOpen::Tooling::ElectrodeBlankBuilder::SetJointMethod ( NXOpen::Tooling::ElectrodeBlankBuilder::JointObject  jointMethod)

Sets the joint object type.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
jointMethodjointmethod
void NXOpen::Tooling::ElectrodeBlankBuilder::SetKeepSize ( bool  keepSize)

Sets the option to keep size of the blank or not.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
keepSizekeepsize
void NXOpen::Tooling::ElectrodeBlankBuilder::SetKeepZValueInSameMSet ( bool  keepValue)

Sets the option to specify whether to keep the Z values of all blanks in the current machine set CSYS.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
keepValuekeep z value in machine set or not
void NXOpen::Tooling::ElectrodeBlankBuilder::SetMaterial ( NXOpen::Tooling::ElectrodeBlankBuilder::BlankMaterial  material)

Sets the material of the blank.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
materialmaterial
void NXOpen::Tooling::ElectrodeBlankBuilder::SetMsetPart ( NXOpen::TaggedObject mset)

Sets the current machine set under which a blank is added.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
msetthe machine set part
void NXOpen::Tooling::ElectrodeBlankBuilder::SetMultiPositionBuilder ( NXOpen::TaggedObject builderTag)

Sets the multi position builder.


Created in NX8.5.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
builderTagmulti position builder tag
void NXOpen::Tooling::ElectrodeBlankBuilder::SetReferenceCenter ( const NXOpen::Point3d point)

Sets the blank reference point.


Created in NX8.5.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
pointblank position
void NXOpen::Tooling::ElectrodeBlankBuilder::SetReferencePointPrecision ( double  precision)

Sets the precision of the reference coordinates in the machine set csys.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
precisionprecision value
void NXOpen::Tooling::ElectrodeBlankBuilder::SetRename ( bool  rename)

Sets the option to use the part name management dialog box or not.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
renamerename
void NXOpen::Tooling::ElectrodeBlankBuilder::SetReusablePartBuilder ( NXOpen::TaggedObject builderTag)

Sets the reusable part builder.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
builderTagreusable part builder tag
void NXOpen::Tooling::ElectrodeBlankBuilder::SetRoundCrossLinesPosition ( bool  round)

Sets the option to round the position of cross lines or not.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
roundround cross lines or not
void NXOpen::Tooling::ElectrodeBlankBuilder::SetShape ( NXOpen::Tooling::ElectrodeBlankBuilder::BlankShape  shape)

Sets the shape of the blank.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
shapeshape
void NXOpen::Tooling::ElectrodeBlankBuilder::SetUniteBodies ( bool  unite)

Sets the option to unite head bodies, the extension and the blank or not.


Created in NX8.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
uniteunite head, extension and blank together or not
NXOpen::Tooling::ElectrodeBlankBuilder::BlankShape NXOpen::Tooling::ElectrodeBlankBuilder::Shape ( )

Returns the shape of the blank.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Tooling::ElectrodeBlankBuilder::UniteBodies ( )

Returns the option to unite head bodies, the extension and the blank or not.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::ElectrodeBlankBuilder::UpdateBlankData ( const NXString registerPath,
const NXString dataPath,
const NXString modelPath,
const NXString bitmapPath,
const NXString material,
std::vector< NXString > &  paraNames,
std::vector< NXString > &  paraValues 
)

Update the data of the blank.


Created in NX12.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
registerPathregister path of the blank part
dataPathdata path of the blank part
modelPathmodel path of the blank part
bitmapPathbitmap path of the blank part
materialmaterial of the blank part
paraNamesparameter name the blank part
paraValuesparameter value the blank part
void NXOpen::Tooling::ElectrodeBlankBuilder::UpdateBlankData ( const char *  registerPath,
const char *  dataPath,
const char *  modelPath,
const char *  bitmapPath,
const char *  material,
std::vector< NXString > &  paraNames,
std::vector< NXString > &  paraValues 
)

Update the data of the blank.


Created in NX12.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
registerPathregister path of the blank part
dataPathdata path of the blank part
modelPathmodel path of the blank part
bitmapPathbitmap path of the blank part
materialmaterial of the blank part
paraNamesparameter name the blank part
paraValuesparameter value the blank part
void NXOpen::Tooling::ElectrodeBlankBuilder::UpdateDisplayName ( const NXString displayName)

Update display name of the blank.


Created in NX12.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
displayNamedisplay name of the blank part
void NXOpen::Tooling::ElectrodeBlankBuilder::UpdateDisplayName ( const char *  displayName)

Update display name of the blank.


Created in NX12.0.0.

License requirements : nx_electrode_wizard ("NX Electrode Wizard")

Parameters
displayNamedisplay name of the blank part
NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::XRefValue ( )

Returns the X value of the blank origin in the current machine set coordinator.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::YRefValue ( )

Returns the Y value of the blank origin in the current machine set coordinator.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::ElectrodeBlankBuilder::ZRefValue ( )

Returns the Z value of the blank origin in the current machine set coordinator.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.